#pragma once

#include "xtr/doc/FileTypes.h"
#include "xtr/io/OptionsIO.hpp"

namespace xtr::dialog {

class ExportSchema final : public CDialog {
public:
  FileType exportType{ FileType::docx };
  io::SchemaOptions options{};

private:
  int32_t typeRadio{};

public:
  ~ExportSchema() override;
  explicit ExportSchema(CWnd* pParent = nullptr);

  DECLARE_MESSAGE_MAP()

private:
  void DoDataExchange(CDataExchange* pDX) override;
};

} // namespace xtr::dialog